<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (WD-USA template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/***************************** Version 2022805 ***************************/
/*** JSON Data now used to obtain image filenames courtesy of Ken True! ***/
############################################################################
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
$standAlone	= true;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="GOES18 Satellite Loops"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
$divWidth = 660;
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('GOES18 Satellite Loops');
	$showGizmo = true; // Set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'GOES18 Satellite Loops';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
/************************* Settings *****************************/
		$satBand = 'GEOCOLOR'; // Default sector type is set here
		$noBandChange = false; // Don't allow $satBand changes -- Added 20180209
		$sector = 'wus'; // IMPORTAMT!!! Default sector location is set here
		/* USE ONE of THESE for $sector!
		"CONUS" is Pacific US
		"FD" is Full Disk
		"pnw" is Pacific Northwest
		"psw" is Pacific Southwest
		"wus" is US West Coast
		"ak" is Alaska
		"hi" is Hawaii
		"tpw" is Tropical Pacific */
		$autoRefresh = true; // Use Autorefresh? true or false -- Determines whether AutoRefresh even appears
		$autoRefreshTime = 5; // Number of minutes between autorefreshes.  IMPORTANT: use 2, 3, 4, 5, 6, 8, 10, 15, 20, or 30 ONLY!!!
		$autoRefreshOff = false; // Begin with Autorefresh Off? true or false -- 'OFF' or 'ON"
		$bgndColor = 'silver'; // Set HAniS Background Color Here
		$btnColor = 'darkslategray'; // Set Button Color here
		$btnTextColor = 'white'; // Set Button Text Color here
		$pauseSeconds = 2; // Pause on last image, in seconds
		$animRate = 40; // Frame Rate of animation: 5 is glacial, 10 is slow, 15 is leisurely, 20 is good, and 50 is fast - set with integer
		$numbImages = 20; // Number of Satellite Images to Animate - 12 to around 45
		$smoothingOn = true; // Enable image smoothing - new in HAniS 2.5
		######################## New in Version 20180114 #######################
		$doDebug = false; // Output debug information?
		$checkFiles = false; // Enable image file existence checking
		$imageWidth = ($standAlone?1200:600); // Default image width
		######################## New in Version 20200815 #######################
		$restrictWidth = true; // Restrict width of display
		$maxWidth = 1205; // Restricted width
		######################## New in Version 20180214 #######################
		$addTime = false; // Add GMT time to images' animation
		$useUTC = true; // Use UTC time rather than Zulu time (UTC adds seconds counter)
/*********************** End Settings ***************************/
		$satBandisNumeric = ($satBand!='GEOCOLOR'&&$satBand!='AirMass'&&$satBand!='Sandwich'&&$satBand!='DayCloudPhase'&&$satBand!='NightMicrophysics'&&$satBand!='FireTemperature'&&$satBand!='EXTENT3'&&$satBand!='CONUS'&&$satBand!='Dust')?true:false;
		$satBand = $satBandisNumeric?($satBand<10?('0'.intval($satBand)):$satBand):$satBand;    

	$wideScreen = ((isset($_SESSION['CSSwidescreen'])&&$_SESSION['CSSwidescreen']==true)?true:false);

	$sectorTypes = array('standard','FD','CONUS','wus-ak','tpw'); // Pointers to the various possible image dimensions
	if ($sector=='FD') $ourSectorType = $sectorTypes[1]; // Logic to select our array of dimensions
	else if ($sector=='CONUS') $ourSectorType = $sectorTypes[2];
	else if ($sector=='wus'||$sector=='ak') $ourSectorType = $sectorTypes[3];
	else if ($sector=='tpw') $ourSectorType = $sectorTypes[4];
	else $ourSectorType = $sectorTypes[0];

	$sectorDimensions = array('widthA','iframeWidthA','heightA','iframeHeightA','widthB','iframeWidthB','heightB','iframeHeightB');
	$satBandSectors = array( // Array of arrays of possible image dimensions
		'standard'=>array( // The US Regional Image Dimensions
			'widthA'=>1200,
			'iframeWidthA'=>1242,
			'heightA'=>1200,
			'iframeHeightA'=>1295,
			'widthB'=>600,
			'iframeWidthB'=>642,
			'heightB'=>600,
			'iframeHeightB'=>658),
		'FD'=>array( // The Full Disk Dimensions
			'widthA'=>678,
			'iframeWidthA'=>678,
			'heightA'=>678,
			'iframeHeightA'=>733,
			'widthB'=>339,
			'iframeWidthB'=>339,
			'heightB'=>339,
			'iframeHeightB'=>440),
		'CONUS'=>array( // The Continental US Image Dimensions
			'widthA'=>1250,
			'iframeWidthA'=>1292,
			'heightA'=>750,
			'iframeHeightA'=>825,
			'widthB'=>625,
			'iframeWidthB'=>667,
			'heightB'=>375,
			'iframeHeightB'=>450),
		'wus-ak'=>array( // Western US and Alaska Image Dimensions
			'widthA'=>1000,
			'iframeWidthA'=>1042,
			'heightA'=>1000,
			'iframeHeightA'=>1075,
			'widthB'=>500,
			'iframeWidthB'=>542,
			'heightB'=>500,
			'iframeHeightB'=>575),
		'tpw'=>array( // The Tropical Pacific - Wide Dimensions
			'widthA'=>900,
			'iframeWidthA'=>942,
			'heightA'=>540,
			'iframeHeightA'=>615,
			'widthB'=>450,
			'iframeWidthB'=>492,
			'heightB'=>270,
			'iframeHeightB'=>345)
		);
	/* Debug Code *
	if ($doDebug) {
		var_dump($satBandSectors);
		var_dump($satBandSectors['standard']['iframeHeightB']);
		foreach ($satBandSectors as $key1=>$value1) {
		foreach ($value1 as $key=>$value)
			echo '$key1: '.$key1.'=> '.$key.': '.$value.'<br/>';
		}
		echo '$ourSectorType: '.$ourSectorType.'<br/>';
		var_dump($satBandSectors[$ourSectorType]['iframeHeightB']);
//		exit;
	}
	/* End Debug Code */
	$imageWidth = $satBandSectors[$ourSectorType][($wideScreen||$standAlone)?'widthA':'widthB'];
	$iframeWidth = $satBandSectors[$ourSectorType][($wideScreen||$standAlone)?'iframeWidthA':'iframeWidthB'];
	$imageHeight = $satBandSectors[$ourSectorType][($wideScreen||$standAlone)?'heightA':'heightB'];
	$iframeHeight = $satBandSectors[$ourSectorType][($wideScreen||$standAlone)?'iframeHeightA':'iframeHeightB'];
/* Debug Code *
	if ($doDebug) {
		echo '$satBand: '.$satBand.', $sector: '.$sector.', $ourSectorType: '.$ourSectorType.'<br/>';
		echo '$imageWidth: '.$imageWidth.', $iframeWidth: '.$iframeWidth.', $imageHeight: '.$imageHeight.', $iframeHeight: '.$iframeHeight.'<br/>';
		exit;
	}
/* End Debug Code */	
		if ($standAlone) $bgndColor = 'white';
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js" type="text/javascript"></script>
<script type="text/javascript"> {
	var $jq = jQuery.noConflict();
	function showSatellite(standAlone,sector,satBand,imageWidth,imageHeight,iframeWidth,iframeHeight,autoRefresh,autoRefreshTime,bgndColor,autoRefresh,autoRefreshOff,btnColor,btnTextColor,pauseSeconds,animRate,numbImages,smoothingOn,doDebug,checkFiles,noBandChange,wideScreen,addTime,useUTC,restrictWidth,maxWidth) { 
		$jq('#selectors').load('inc-wxGOES18-HAniSLoops.php', {standAlone:standAlone,sector:sector,satBand:satBand,imageWidth:imageWidth,imageHeight:imageHeight,iframeWidth:iframeWidth,iframeHeight:iframeHeight,autoRefresh:autoRefresh,autoRefreshTime:autoRefreshTime,bgndColor:bgndColor,autoRefresh:autoRefresh,autoRefreshOff:autoRefreshOff,btnColor:btnColor,btnTextColor:btnTextColor,pauseSeconds:pauseSeconds,animRate:animRate,numbImages:numbImages,smoothingOn:smoothingOn,doDebug:doDebug,checkFiles:checkFiles,noBandChange:noBandChange,wideScreen:wideScreen,addTime:addTime,useUTC:useUTC,restrictWidth:restrictWidth,maxWidth:maxWidth});
	}
}
</script>
</head>
<body>
<?php
if ( !$standAlone ) {
	############################################################################
	include("header.php");
	############################################################################
	include("menubar.php");
############################################################################
}
?>
<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114px)' : $divWidth.'px') ?>">
<?php } else { ?>
	<div id="main-copy" style="width:100%; padding:0px">
<?php }	?>
  <div align="center">
  <h2 align="center"><br/><span style="font-size:24px">GOES18 Satellite Loops</span></h2>
    <?php include('inc-wxGOES18-HAniSLoops.php');?>
  </div>
</div><!-- end main-copy -->

<?php 
############################################################################
if ( !$standAlone ) {
	############################################################################
	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>
